/* State variables */
int state_0 = 16;
int state_1 = 35;
int state_2 = 66;
int state_3 = 80;
int state_4 = 87;
int state_5 = 96;
int state_6 = 145;
int state_7 = 174;
int state_8 = 247;

/* Actions (message types) */
mtype = { nop, a19_SIGTTIN, a5_SIGPROF, a17_SIGINFO, a23_SIGTTIN, a16_SIGKILL, a6_SIGSYS, a18_SIGCONT, a4_SIGWINCH, a15_SIGIOT, a9_SIGLOST, a8_SIGTTIN, a12_SIGURG, a11_SIGSTOP, a7_SIGTTIN, a13_SIGFPE, a2_SIGSTOP, a14_SIGTTIN, a20_SIGTTOU, a10_SIGUSR2, a24_SIGTTOU, a1_SIGTERM, a3_SIGTTIN, a22_SIGHUP, a21_SIGVTALRM };

/* Inter-process channels */
chan p6_7 = [0] of {mtype};
chan p7_8 = [0] of {mtype};
chan p5_6 = [0] of {mtype};
chan p6_8 = [0] of {mtype};
chan p3_6 = [0] of {mtype};
chan p1_4 = [0] of {mtype};
chan p1_3 = [0] of {mtype};
chan p3_4 = [0] of {mtype};
chan p4_8 = [0] of {mtype};
chan p0_2 = [0] of {mtype};
chan p2_7 = [0] of {mtype};
chan p2_5 = [0] of {mtype};
chan p0_1 = [0] of {mtype};
chan p4_7 = [0] of {mtype};

/* Environement<->process channels */
chan p8 = [0] of {mtype};
chan p6 = [0] of {mtype};
chan p5 = [0] of {mtype};
chan p3 = [0] of {mtype};
chan p1 = [0] of {mtype};
chan p0 = [0] of {mtype};
chan p2 = [0] of {mtype};
chan p4 = [0] of {mtype};
chan p7 = [0] of {mtype};

/* Environment process */
active proctype Environment()
{
  do
  :: p8 ! a19_SIGTTIN
  :: p6 ! a17_SIGINFO
  :: p5 ! a16_SIGKILL
  :: p8 ! a18_SIGCONT
  :: p3 ! a15_SIGIOT
  :: p1 ! a12_SIGURG
  :: p6 ! a10_SIGUSR2
  :: p1 ! a24_SIGTTOU
  :: p0 ! nop
  :: p1 ! nop
  :: p2 ! nop
  :: p3 ! nop
  :: p4 ! nop
  :: p5 ! nop
  :: p6 ! nop
  :: p7 ! nop
  :: p8 ! nop
  :: p2 ! a22_SIGHUP
  od
}

/* Action channel */
chan act = [0] of {mtype};

/* Most recent message event */
mtype lastAction = nop;

/* Action listener */
active proctype Listener()
{
  atomic {
    do
    :: act ? lastAction ->
  step: skip
    od
  }
}

/* Process 0 */
active proctype Proc0()
{
  do
  :: state_0 == 16 ->
    atomic {
      if
      :: p0 ? nop -> state_0 = 9
      fi
    }
  :: state_0 == 9 ->
    atomic {
      if
      :: ((state_2==60 || state_2==54 || state_2==55 || state_2==41 || state_2==58 || state_2==51 || state_2==36 || state_2==57 || state_2==62)
         && state_5==93
         && (state_6==130 || state_6==142 || state_6==143 || state_6==135 || state_6==102 || state_6==138 || state_6==120 || state_6==125 || state_6==122 || state_6==121 || state_6==107 || state_6==134 || state_6==105 || state_6==112 || state_6==110 || state_6==116 || state_6==128 || state_6==98 || state_6==117 || state_6==124 || state_6==118 || state_6==113 || state_6==133 || state_6==129 || state_6==97)
         && (state_7==161 || state_7==168 || state_7==157 || state_7==156 || state_7==169 || state_7==150 || state_7==173 || state_7==170 || state_7==171)) -> 
           {state_0 = 10; p0_2 ! a1_SIGTERM}
      :: ((state_1==18 || state_1==24 || state_1==19 || state_1==25)
         && (state_4==81 || state_4==86 || state_4==85)
         && (state_7==165 || state_7==164 || state_7==163 || state_7==151 || state_7==154 || state_7==155 || state_7==148 || state_7==153)
         && (state_8==210 || state_8==209 || state_8==192 || state_8==228 || state_8==232 || state_8==197 || state_8==178 || state_8==234 || state_8==176 || state_8==224 || state_8==225 || state_8==198 || state_8==214 || state_8==182 || state_8==230 || state_8==223 || state_8==190 || state_8==211 || state_8==175 || state_8==240 || state_8==181 || state_8==243 || state_8==191 || state_8==216 || state_8==215 || state_8==220 || state_8==201)) -> 
           {state_0 = 14; p0_1 ! a3_SIGTTIN}
      fi
    }
  :: state_0 == 10 ->
    atomic {
      if
      :: (state_2==62 || state_2==41 || state_2==45 || state_2==60 || state_2==55 || state_2==53 || state_2==64 || state_2==51 || state_2==36 || state_2==54 || state_2==57) -> 
           {state_0 = 13; p0_2 ! a13_SIGFPE}
      fi
    }
  :: state_0 == 14 ->
    atomic {
      if
      :: (state_2==62 || state_2==41 || state_2==45 || state_2==60 || state_2==55 || state_2==53 || state_2==64 || state_2==51 || state_2==36 || state_2==54 || state_2==57) -> 
           {state_0 = 15; p0_2 ! a13_SIGFPE}
      fi
    }
  :: state_0 == 13 ->
    atomic {
      if
      :: (state_2==44 || state_2==60 || state_2==64 || state_2==54 || state_2==51 || state_2==58 || state_2==36 || state_2==46 || state_2==43) -> 
           {state_0 = 2; p0_2 ! a14_SIGTTIN}
      fi
    }
  :: state_0 == 15 ->
    atomic {
      if
      :: (state_2==44 || state_2==60 || state_2==64 || state_2==54 || state_2==51 || state_2==58 || state_2==36 || state_2==46 || state_2==43) -> 
           {state_0 = 11; p0_2 ! a14_SIGTTIN}
      fi
    }
  :: state_0 == 2 ->
    atomic {
      if
      :: ((state_2==60 || state_2==62 || state_2==53 || state_2==44 || state_2==46 || state_2==51 || state_2==55 || state_2==58 || state_2==57)
         && (state_7==156 || state_7==167 || state_7==146 || state_7==161 || state_7==168 || state_7==162 || state_7==169 || state_7==172 || state_7==166 || state_7==155)
         && (state_8==219 || state_8==233 || state_8==213 || state_8==221 || state_8==231 || state_8==240 || state_8==244 || state_8==228 || state_8==196 || state_8==207 || state_8==227 || state_8==177 || state_8==241 || state_8==222 || state_8==201 || state_8==189 || state_8==229 || state_8==179 || state_8==193 || state_8==236 || state_8==242 || state_8==195 || state_8==208 || state_8==176 || state_8==180 || state_8==239 || state_8==235 || state_8==220)) -> 
           {state_0 = 10; p0_2 ! a2_SIGSTOP}
      fi
    }
  :: state_0 == 11 ->
    atomic {
      if
      :: ((state_1==18 || state_1==24 || state_1==19 || state_1==25)
         && (state_4==81 || state_4==86 || state_4==85)
         && (state_7==165 || state_7==164 || state_7==163 || state_7==151 || state_7==154 || state_7==155 || state_7==148 || state_7==153)
         && (state_8==210 || state_8==209 || state_8==192 || state_8==228 || state_8==232 || state_8==197 || state_8==178 || state_8==234 || state_8==176 || state_8==224 || state_8==225 || state_8==198 || state_8==214 || state_8==182 || state_8==230 || state_8==223 || state_8==190 || state_8==211 || state_8==175 || state_8==240 || state_8==181 || state_8==243 || state_8==191 || state_8==216 || state_8==215 || state_8==220 || state_8==201)) -> 
           {state_0 = 10; p0_1 ! a3_SIGTTIN}
      :: ((state_2==60 || state_2==62 || state_2==53 || state_2==44 || state_2==46 || state_2==51 || state_2==55 || state_2==58 || state_2==57)
         && (state_7==156 || state_7==167 || state_7==146 || state_7==161 || state_7==168 || state_7==162 || state_7==169 || state_7==172 || state_7==166 || state_7==155)
         && (state_8==219 || state_8==233 || state_8==213 || state_8==221 || state_8==231 || state_8==240 || state_8==244 || state_8==228 || state_8==196 || state_8==207 || state_8==227 || state_8==177 || state_8==241 || state_8==222 || state_8==201 || state_8==189 || state_8==229 || state_8==179 || state_8==193 || state_8==236 || state_8==242 || state_8==195 || state_8==208 || state_8==176 || state_8==180 || state_8==239 || state_8==235 || state_8==220)) -> 
           {state_0 = 1; p0_2 ! a2_SIGSTOP}
      :: ((state_2==60 || state_2==54 || state_2==55 || state_2==41 || state_2==58 || state_2==51 || state_2==36 || state_2==57 || state_2==62)
         && state_5==93
         && (state_6==130 || state_6==142 || state_6==143 || state_6==135 || state_6==102 || state_6==138 || state_6==120 || state_6==125 || state_6==122 || state_6==121 || state_6==107 || state_6==134 || state_6==105 || state_6==112 || state_6==110 || state_6==116 || state_6==128 || state_6==98 || state_6==117 || state_6==124 || state_6==118 || state_6==113 || state_6==133 || state_6==129 || state_6==97)
         && (state_7==161 || state_7==168 || state_7==157 || state_7==156 || state_7==169 || state_7==150 || state_7==173 || state_7==170 || state_7==171)) -> 
           {state_0 = 7; p0_2 ! a1_SIGTERM}
      fi
    }
  :: state_0 == 1 ->
    atomic {
      if
      :: (state_2==62 || state_2==41 || state_2==45 || state_2==60 || state_2==55 || state_2==53 || state_2==64 || state_2==51 || state_2==36 || state_2==54 || state_2==57) -> 
           {state_0 = 5; p0_2 ! a13_SIGFPE}
      fi
    }
  :: state_0 == 7 ->
    atomic {
      if
      :: (state_2==62 || state_2==41 || state_2==45 || state_2==60 || state_2==55 || state_2==53 || state_2==64 || state_2==51 || state_2==36 || state_2==54 || state_2==57) -> 
           {state_0 = 4; p0_2 ! a13_SIGFPE}
      fi
    }
  :: state_0 == 5 ->
    atomic {
      if
      :: (state_2==44 || state_2==60 || state_2==64 || state_2==54 || state_2==51 || state_2==58 || state_2==36 || state_2==46 || state_2==43) -> 
           {state_0 = 6; p0_2 ! a14_SIGTTIN}
      fi
    }
  :: state_0 == 4 ->
    atomic {
      if
      :: (state_2==44 || state_2==60 || state_2==64 || state_2==54 || state_2==51 || state_2==58 || state_2==36 || state_2==46 || state_2==43) -> 
           {state_0 = 8; p0_2 ! a14_SIGTTIN}
      fi
    }
  :: state_0 == 6 ->
    atomic {
      if
      :: ((state_2==60 || state_2==54 || state_2==55 || state_2==41 || state_2==58 || state_2==51 || state_2==36 || state_2==57 || state_2==62)
         && state_5==93
         && (state_6==130 || state_6==142 || state_6==143 || state_6==135 || state_6==102 || state_6==138 || state_6==120 || state_6==125 || state_6==122 || state_6==121 || state_6==107 || state_6==134 || state_6==105 || state_6==112 || state_6==110 || state_6==116 || state_6==128 || state_6==98 || state_6==117 || state_6==124 || state_6==118 || state_6==113 || state_6==133 || state_6==129 || state_6==97)
         && (state_7==161 || state_7==168 || state_7==157 || state_7==156 || state_7==169 || state_7==150 || state_7==173 || state_7==170 || state_7==171)) -> 
           {state_0 = 3; p0_2 ! a1_SIGTERM}
      fi
    }
  :: state_0 == 8 ->
    atomic {
      if
      :: ((state_1==18 || state_1==24 || state_1==19 || state_1==25)
         && (state_4==81 || state_4==86 || state_4==85)
         && (state_7==165 || state_7==164 || state_7==163 || state_7==151 || state_7==154 || state_7==155 || state_7==148 || state_7==153)
         && (state_8==210 || state_8==209 || state_8==192 || state_8==228 || state_8==232 || state_8==197 || state_8==178 || state_8==234 || state_8==176 || state_8==224 || state_8==225 || state_8==198 || state_8==214 || state_8==182 || state_8==230 || state_8==223 || state_8==190 || state_8==211 || state_8==175 || state_8==240 || state_8==181 || state_8==243 || state_8==191 || state_8==216 || state_8==215 || state_8==220 || state_8==201)) -> 
           {state_0 = 10; p0_1 ! a3_SIGTTIN}
      :: ((state_2==60 || state_2==62 || state_2==53 || state_2==44 || state_2==46 || state_2==51 || state_2==55 || state_2==58 || state_2==57)
         && (state_7==156 || state_7==167 || state_7==146 || state_7==161 || state_7==168 || state_7==162 || state_7==169 || state_7==172 || state_7==166 || state_7==155)
         && (state_8==219 || state_8==233 || state_8==213 || state_8==221 || state_8==231 || state_8==240 || state_8==244 || state_8==228 || state_8==196 || state_8==207 || state_8==227 || state_8==177 || state_8==241 || state_8==222 || state_8==201 || state_8==189 || state_8==229 || state_8==179 || state_8==193 || state_8==236 || state_8==242 || state_8==195 || state_8==208 || state_8==176 || state_8==180 || state_8==239 || state_8==235 || state_8==220)) -> 
           {state_0 = 3; p0_2 ! a2_SIGSTOP}
      :: ((state_2==60 || state_2==54 || state_2==55 || state_2==41 || state_2==58 || state_2==51 || state_2==36 || state_2==57 || state_2==62)
         && state_5==93
         && (state_6==130 || state_6==142 || state_6==143 || state_6==135 || state_6==102 || state_6==138 || state_6==120 || state_6==125 || state_6==122 || state_6==121 || state_6==107 || state_6==134 || state_6==105 || state_6==112 || state_6==110 || state_6==116 || state_6==128 || state_6==98 || state_6==117 || state_6==124 || state_6==118 || state_6==113 || state_6==133 || state_6==129 || state_6==97)
         && (state_7==161 || state_7==168 || state_7==157 || state_7==156 || state_7==169 || state_7==150 || state_7==173 || state_7==170 || state_7==171)) -> 
           {state_0 = 10; p0_2 ! a1_SIGTERM}
      fi
    }
  :: state_0 == 3 ->
    atomic {
      if
      :: (state_2==62 || state_2==41 || state_2==45 || state_2==60 || state_2==55 || state_2==53 || state_2==64 || state_2==51 || state_2==36 || state_2==54 || state_2==57) -> 
           {state_0 = 12; p0_2 ! a13_SIGFPE}
      fi
    }
  :: state_0 == 12 ->
    atomic {
      if
      :: (state_2==44 || state_2==60 || state_2==64 || state_2==54 || state_2==51 || state_2==58 || state_2==36 || state_2==46 || state_2==43) -> 
           {state_0 = 9; p0_2 ! a14_SIGTTIN}
      fi
    }
  od
}

/* Process 1 */
active proctype Proc1()
{
  do
  :: state_1 == 35 ->
    atomic {
      if
      :: p1 ? nop -> state_1 = 24
      fi
    }
  :: state_1 == 24 ->
    atomic {
      if
      :: (state_4==82 || state_4==84 || state_4==83) -> 
           {state_1 = 23; p1_4 ! a11_SIGSTOP}
      :: ((state_3==73 || state_3==77)
         && state_4==81
         && (state_8==199 || state_8==203 || state_8==219 || state_8==218 || state_8==237 || state_8==217 || state_8==204 || state_8==187 || state_8==231 || state_8==246 || state_8==212 || state_8==238 || state_8==225 || state_8==226 || state_8==202 || state_8==245 || state_8==188 || state_8==183 || state_8==194 || state_8==206 || state_8==185 || state_8==205 || state_8==184 || state_8==200 || state_8==186)) -> 
           {state_1 = 21; p1_3 ! a7_SIGTTIN}
      :: p0_1 ? a3_SIGTTIN -> {state_1 = 22; p1_4 ! a3_SIGTTIN}
      fi
    }
  :: state_1 == 23 ->
    atomic {
      if
      :: p1 ? a12_SIGURG -> {state_1 = 34; act ! a12_SIGURG}
      fi
    }
  :: state_1 == 21 ->
    atomic {
      if
      :: p1 ? a12_SIGURG -> {state_1 = 28; act ! a12_SIGURG}
      fi
    }
  :: state_1 == 22 ->
    atomic {
      if
      :: p1 ? a12_SIGURG -> {state_1 = 30; act ! a12_SIGURG}
      fi
    }
  :: state_1 == 34 ->
    atomic {
      if
      :: p1 ? a24_SIGTTOU -> {state_1 = 19; act ! a24_SIGTTOU}
      fi
    }
  :: state_1 == 28 ->
    atomic {
      if
      :: p1 ? a24_SIGTTOU -> {state_1 = 17; act ! a24_SIGTTOU}
      fi
    }
  :: state_1 == 30 ->
    atomic {
      if
      :: p1 ? a24_SIGTTOU -> {state_1 = 18; act ! a24_SIGTTOU}
      fi
    }
  :: state_1 == 19 ->
    atomic {
      if
      :: p0_1 ? a3_SIGTTIN -> {state_1 = 21; p1_4 ! a3_SIGTTIN}
      :: ((state_3==73 || state_3==77)
         && state_4==81
         && (state_8==199 || state_8==203 || state_8==219 || state_8==218 || state_8==237 || state_8==217 || state_8==204 || state_8==187 || state_8==231 || state_8==246 || state_8==212 || state_8==238 || state_8==225 || state_8==226 || state_8==202 || state_8==245 || state_8==188 || state_8==183 || state_8==194 || state_8==206 || state_8==185 || state_8==205 || state_8==184 || state_8==200 || state_8==186)) -> 
           {state_1 = 22; p1_3 ! a7_SIGTTIN}
      fi
    }
  :: state_1 == 17 ->
    atomic {
      if
      :: (state_4==82 || state_4==84 || state_4==83) -> 
           {state_1 = 31; p1_4 ! a11_SIGSTOP}
      :: ((state_3==73 || state_3==77)
         && state_4==81
         && (state_8==199 || state_8==203 || state_8==219 || state_8==218 || state_8==237 || state_8==217 || state_8==204 || state_8==187 || state_8==231 || state_8==246 || state_8==212 || state_8==238 || state_8==225 || state_8==226 || state_8==202 || state_8==245 || state_8==188 || state_8==183 || state_8==194 || state_8==206 || state_8==185 || state_8==205 || state_8==184 || state_8==200 || state_8==186)) -> 
           {state_1 = 33; p1_3 ! a7_SIGTTIN}
      fi
    }
  :: state_1 == 18 ->
    atomic {
      if
      :: p0_1 ? a3_SIGTTIN -> {state_1 = 33; p1_4 ! a3_SIGTTIN}
      :: (state_4==82 || state_4==84 || state_4==83) -> 
           {state_1 = 20; p1_4 ! a11_SIGSTOP}
      :: ((state_3==73 || state_3==77)
         && state_4==81
         && (state_8==199 || state_8==203 || state_8==219 || state_8==218 || state_8==237 || state_8==217 || state_8==204 || state_8==187 || state_8==231 || state_8==246 || state_8==212 || state_8==238 || state_8==225 || state_8==226 || state_8==202 || state_8==245 || state_8==188 || state_8==183 || state_8==194 || state_8==206 || state_8==185 || state_8==205 || state_8==184 || state_8==200 || state_8==186)) -> 
           {state_1 = 33; p1_3 ! a7_SIGTTIN}
      fi
    }
  :: state_1 == 31 ->
    atomic {
      if
      :: p1 ? a12_SIGURG -> {state_1 = 27; act ! a12_SIGURG}
      fi
    }
  :: state_1 == 33 ->
    atomic {
      if
      :: p1 ? a12_SIGURG -> {state_1 = 32; act ! a12_SIGURG}
      fi
    }
  :: state_1 == 20 ->
    atomic {
      if
      :: p1 ? a12_SIGURG -> {state_1 = 29; act ! a12_SIGURG}
      fi
    }
  :: state_1 == 27 ->
    atomic {
      if
      :: p1 ? a24_SIGTTOU -> {state_1 = 25; act ! a24_SIGTTOU}
      fi
    }
  :: state_1 == 32 ->
    atomic {
      if
      :: p1 ? a24_SIGTTOU -> {state_1 = 26; act ! a24_SIGTTOU}
      fi
    }
  :: state_1 == 29 ->
    atomic {
      if
      :: p1 ? a24_SIGTTOU -> {state_1 = 24; act ! a24_SIGTTOU}
      fi
    }
  :: state_1 == 25 ->
    atomic {
      if
      :: ((state_3==73 || state_3==77)
         && state_4==81
         && (state_8==199 || state_8==203 || state_8==219 || state_8==218 || state_8==237 || state_8==217 || state_8==204 || state_8==187 || state_8==231 || state_8==246 || state_8==212 || state_8==238 || state_8==225 || state_8==226 || state_8==202 || state_8==245 || state_8==188 || state_8==183 || state_8==194 || state_8==206 || state_8==185 || state_8==205 || state_8==184 || state_8==200 || state_8==186)) -> 
           {state_1 = 21; p1_3 ! a7_SIGTTIN}
      :: p0_1 ? a3_SIGTTIN -> {state_1 = 21; p1_4 ! a3_SIGTTIN}
      :: (state_4==82 || state_4==84 || state_4==83) -> 
           {state_1 = 31; p1_4 ! a11_SIGSTOP}
      fi
    }
  :: state_1 == 26 ->
    atomic {
      if
      :: ((state_3==73 || state_3==77)
         && state_4==81
         && (state_8==199 || state_8==203 || state_8==219 || state_8==218 || state_8==237 || state_8==217 || state_8==204 || state_8==187 || state_8==231 || state_8==246 || state_8==212 || state_8==238 || state_8==225 || state_8==226 || state_8==202 || state_8==245 || state_8==188 || state_8==183 || state_8==194 || state_8==206 || state_8==185 || state_8==205 || state_8==184 || state_8==200 || state_8==186)) -> 
           {state_1 = 33; p1_3 ! a7_SIGTTIN}
      fi
    }
  od
}

/* Process 2 */
active proctype Proc2()
{
  do
  :: state_2 == 66 ->
    atomic {
      if
      :: p2 ? nop -> state_2 = 41
      fi
    }
  :: state_2 == 41 ->
    atomic {
      if
      :: p0_2 ? a13_SIGFPE -> {state_2 = 39; act ! a13_SIGFPE}
      :: p0_2 ? a1_SIGTERM -> {state_2 = 40; p2_5 ! a1_SIGTERM}
      fi
    }
  :: state_2 == 39 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 44; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 40 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 45; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 44 ->
    atomic {
      if
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 37; act ! a14_SIGTTIN}
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 38; p2_7 ! a2_SIGSTOP}
      fi
    }
  :: state_2 == 45 ->
    atomic {
      if
      :: p0_2 ? a13_SIGFPE -> {state_2 = 42; act ! a13_SIGFPE}
      fi
    }
  :: state_2 == 37 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 51; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 38 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 43; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 42 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 36; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 51 ->
    atomic {
      if
      :: p0_2 ? a13_SIGFPE -> {state_2 = 42; act ! a13_SIGFPE}
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 38; act ! a14_SIGTTIN}
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 48; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a1_SIGTERM -> {state_2 = 49; p2_5 ! a1_SIGTERM}
      fi
    }
  :: state_2 == 43 ->
    atomic {
      if
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 38; act ! a14_SIGTTIN}
      fi
    }
  :: state_2 == 36 ->
    atomic {
      if
      :: p0_2 ? a13_SIGFPE -> {state_2 = 38; act ! a13_SIGFPE}
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 50; act ! a14_SIGTTIN}
      :: p0_2 ? a1_SIGTERM -> {state_2 = 38; p2_5 ! a1_SIGTERM}
      fi
    }
  :: state_2 == 48 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 53; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 49 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 54; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 50 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 55; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 53 ->
    atomic {
      if
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 38; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a13_SIGFPE -> {state_2 = 47; act ! a13_SIGFPE}
      fi
    }
  :: state_2 == 54 ->
    atomic {
      if
      :: p0_2 ? a1_SIGTERM -> {state_2 = 38; p2_5 ! a1_SIGTERM}
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 38; act ! a14_SIGTTIN}
      :: p0_2 ? a13_SIGFPE -> {state_2 = 52; act ! a13_SIGFPE}
      fi
    }
  :: state_2 == 55 ->
    atomic {
      if
      :: p0_2 ? a13_SIGFPE -> {state_2 = 42; act ! a13_SIGFPE}
      :: p0_2 ? a1_SIGTERM -> {state_2 = 40; p2_5 ! a1_SIGTERM}
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 40; p2_7 ! a2_SIGSTOP}
      fi
    }
  :: state_2 == 47 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 58; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 52 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 46; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 58 ->
    atomic {
      if
      :: p0_2 ? a1_SIGTERM -> {state_2 = 38; p2_5 ! a1_SIGTERM}
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 38; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 56; act ! a14_SIGTTIN}
      fi
    }
  :: state_2 == 46 ->
    atomic {
      if
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 38; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 59; act ! a14_SIGTTIN}
      fi
    }
  :: state_2 == 56 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 62; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 59 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 57; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 62 ->
    atomic {
      if
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 40; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a13_SIGFPE -> {state_2 = 42; act ! a13_SIGFPE}
      :: p0_2 ? a1_SIGTERM -> {state_2 = 63; p2_5 ! a1_SIGTERM}
      fi
    }
  :: state_2 == 57 ->
    atomic {
      if
      :: p0_2 ? a1_SIGTERM -> {state_2 = 40; p2_5 ! a1_SIGTERM}
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 63; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a13_SIGFPE -> {state_2 = 42; act ! a13_SIGFPE}
      fi
    }
  :: state_2 == 63 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 60; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 60 ->
    atomic {
      if
      :: p0_2 ? a2_SIGSTOP -> {state_2 = 38; p2_7 ! a2_SIGSTOP}
      :: p0_2 ? a1_SIGTERM -> {state_2 = 38; p2_5 ! a1_SIGTERM}
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 38; act ! a14_SIGTTIN}
      :: p0_2 ? a13_SIGFPE -> {state_2 = 61; act ! a13_SIGFPE}
      fi
    }
  :: state_2 == 61 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 64; act ! a22_SIGHUP}
      fi
    }
  :: state_2 == 64 ->
    atomic {
      if
      :: p0_2 ? a14_SIGTTIN -> {state_2 = 65; act ! a14_SIGTTIN}
      :: p0_2 ? a13_SIGFPE -> {state_2 = 38; act ! a13_SIGFPE}
      fi
    }
  :: state_2 == 65 ->
    atomic {
      if
      :: p2 ? a22_SIGHUP -> {state_2 = 41; act ! a22_SIGHUP}
      fi
    }
  od
}

/* Process 3 */
active proctype Proc3()
{
  do
  :: state_3 == 80 ->
    atomic {
      if
      :: p3 ? nop -> state_3 = 72
      fi
    }
  :: state_3 == 72 ->
    atomic {
      if
      :: (state_4==86
         && (state_8==240 || state_8==243 || state_8==234 || state_8==228 || state_8==210 || state_8==209 || state_8==232 || state_8==178 || state_8==192 || state_8==238 || state_8==199 || state_8==205 || state_8==239 || state_8==223 || state_8==203 || state_8==214 || state_8==197 || state_8==182 || state_8==237 || state_8==190 || state_8==201 || state_8==181 || state_8==175 || state_8==230 || state_8==198 || state_8==187 || state_8==185 || state_8==183 || state_8==216 || state_8==211 || state_8==215 || state_8==213 || state_8==220 || state_8==176)) -> 
           {state_3 = 78; p3_4 ! a21_SIGVTALRM}
      :: ((state_6==115 || state_6==107 || state_6==123 || state_6==108 || state_6==126 || state_6==144 || state_6==105 || state_6==106 || state_6==122 || state_6==125 || state_6==128)
         && (state_7==167 || state_7==161 || state_7==159 || state_7==162 || state_7==157 || state_7==150 || state_7==151 || state_7==148 || state_7==149)) -> 
           {state_3 = 71; p3_6 ! a20_SIGTTOU}
      fi
    }
  :: state_3 == 78 ->
    atomic {
      if
      :: p3 ? a15_SIGIOT -> {state_3 = 76; act ! a15_SIGIOT}
      fi
    }
  :: state_3 == 71 ->
    atomic {
      if
      :: p3 ? a15_SIGIOT -> {state_3 = 69; act ! a15_SIGIOT}
      fi
    }
  :: state_3 == 76 ->
    atomic {
      if
      :: ((state_6==115 || state_6==107 || state_6==123 || state_6==108 || state_6==126 || state_6==144 || state_6==105 || state_6==106 || state_6==122 || state_6==125 || state_6==128)
         && (state_7==167 || state_7==161 || state_7==159 || state_7==162 || state_7==157 || state_7==150 || state_7==151 || state_7==148 || state_7==149)) -> 
           {state_3 = 75; p3_6 ! a20_SIGTTOU}
      fi
    }
  :: state_3 == 69 ->
    atomic {
      if
      :: (state_4==86
         && (state_8==240 || state_8==243 || state_8==234 || state_8==228 || state_8==210 || state_8==209 || state_8==232 || state_8==178 || state_8==192 || state_8==238 || state_8==199 || state_8==205 || state_8==239 || state_8==223 || state_8==203 || state_8==214 || state_8==197 || state_8==182 || state_8==237 || state_8==190 || state_8==201 || state_8==181 || state_8==175 || state_8==230 || state_8==198 || state_8==187 || state_8==185 || state_8==183 || state_8==216 || state_8==211 || state_8==215 || state_8==213 || state_8==220 || state_8==176)) -> 
           {state_3 = 75; p3_4 ! a21_SIGVTALRM}
      fi
    }
  :: state_3 == 75 ->
    atomic {
      if
      :: p3 ? a15_SIGIOT -> {state_3 = 73; act ! a15_SIGIOT}
      :: ((state_6==130 || state_6==122 || state_6==123 || state_6==107 || state_6==106 || state_6==144 || state_6==126)
         && (state_7==152 || state_7==172 || state_7==146 || state_7==159 || state_7==158 || state_7==165 || state_7==163 || state_7==169 || state_7==153 || state_7==170 || state_7==171 || state_7==155)) -> 
           {state_3 = 74; p3_6 ! a8_SIGTTIN}
      fi
    }
  :: state_3 == 73 ->
    atomic {
      if
      :: p1_3 ? a7_SIGTTIN -> {state_3 = 67; p3_4 ! a7_SIGTTIN}
      :: ((state_6==130 || state_6==122 || state_6==123 || state_6==107 || state_6==106 || state_6==144 || state_6==126)
         && (state_7==152 || state_7==172 || state_7==146 || state_7==159 || state_7==158 || state_7==165 || state_7==163 || state_7==169 || state_7==153 || state_7==170 || state_7==171 || state_7==155)) -> 
           {state_3 = 77; p3_6 ! a8_SIGTTIN}
      fi
    }
  :: state_3 == 74 ->
    atomic {
      if
      :: p3 ? a15_SIGIOT -> {state_3 = 77; act ! a15_SIGIOT}
      fi
    }
  :: state_3 == 67 ->
    atomic {
      if
      :: ((state_6==130 || state_6==122 || state_6==123 || state_6==107 || state_6==106 || state_6==144 || state_6==126)
         && (state_7==152 || state_7==172 || state_7==146 || state_7==159 || state_7==158 || state_7==165 || state_7==163 || state_7==169 || state_7==153 || state_7==170 || state_7==171 || state_7==155)) -> 
           {state_3 = 68; p3_6 ! a8_SIGTTIN}
      :: p3 ? a15_SIGIOT -> {state_3 = 79; act ! a15_SIGIOT}
      fi
    }
  :: state_3 == 77 ->
    atomic {
      if
      :: p1_3 ? a7_SIGTTIN -> {state_3 = 68; p3_4 ! a7_SIGTTIN}
      fi
    }
  :: state_3 == 68 ->
    atomic {
      if
      :: p3 ? a15_SIGIOT -> {state_3 = 70; act ! a15_SIGIOT}
      fi
    }
  :: state_3 == 79 ->
    atomic {
      if
      :: ((state_6==130 || state_6==122 || state_6==123 || state_6==107 || state_6==106 || state_6==144 || state_6==126)
         && (state_7==152 || state_7==172 || state_7==146 || state_7==159 || state_7==158 || state_7==165 || state_7==163 || state_7==169 || state_7==153 || state_7==170 || state_7==171 || state_7==155)) -> 
           {state_3 = 70; p3_6 ! a8_SIGTTIN}
      fi
    }
  :: state_3 == 70 ->
    atomic {
      if
      :: ((state_6==115 || state_6==107 || state_6==123 || state_6==108 || state_6==126 || state_6==144 || state_6==105 || state_6==106 || state_6==122 || state_6==125 || state_6==128)
         && (state_7==167 || state_7==161 || state_7==159 || state_7==162 || state_7==157 || state_7==150 || state_7==151 || state_7==148 || state_7==149)) -> 
           {state_3 = 71; p3_6 ! a20_SIGTTOU}
      :: (state_4==86
         && (state_8==240 || state_8==243 || state_8==234 || state_8==228 || state_8==210 || state_8==209 || state_8==232 || state_8==178 || state_8==192 || state_8==238 || state_8==199 || state_8==205 || state_8==239 || state_8==223 || state_8==203 || state_8==214 || state_8==197 || state_8==182 || state_8==237 || state_8==190 || state_8==201 || state_8==181 || state_8==175 || state_8==230 || state_8==198 || state_8==187 || state_8==185 || state_8==183 || state_8==216 || state_8==211 || state_8==215 || state_8==213 || state_8==220 || state_8==176)) -> 
           {state_3 = 78; p3_4 ! a21_SIGVTALRM}
      fi
    }
  od
}

/* Process 4 */
active proctype Proc4()
{
  do
  :: state_4 == 87 ->
    atomic {
      if
      :: p4 ? nop -> state_4 = 86
      fi
    }
  :: state_4 == 86 ->
    atomic {
      if
      :: p3_4 ? a21_SIGVTALRM -> {state_4 = 84; p4_8 ! a21_SIGVTALRM}
      :: p1_4 ? a3_SIGTTIN -> {state_4 = 83; p4_7 ! a3_SIGTTIN}
      fi
    }
  :: state_4 == 84 ->
    atomic {
      if
      :: p1_4 ? a11_SIGSTOP -> {state_4 = 81; act ! a11_SIGSTOP}
      fi
    }
  :: state_4 == 83 ->
    atomic {
      if
      :: p1_4 ? a11_SIGSTOP -> {state_4 = 86; act ! a11_SIGSTOP}
      fi
    }
  :: state_4 == 81 ->
    atomic {
      if
      :: p1_4 ? a3_SIGTTIN -> {state_4 = 82; p4_7 ! a3_SIGTTIN}
      :: p3_4 ? a7_SIGTTIN -> {state_4 = 83; p4_8 ! a7_SIGTTIN}
      fi
    }
  :: state_4 == 82 ->
    atomic {
      if
      :: p1_4 ? a11_SIGSTOP -> {state_4 = 85; act ! a11_SIGSTOP}
      fi
    }
  :: state_4 == 85 ->
    atomic {
      if
      :: p1_4 ? a3_SIGTTIN -> {state_4 = 82; p4_7 ! a3_SIGTTIN}
      fi
    }
  od
}

/* Process 5 */
active proctype Proc5()
{
  do
  :: state_5 == 96 ->
    atomic {
      if
      :: p5 ? nop -> state_5 = 91
      fi
    }
  :: state_5 == 91 ->
    atomic {
      if
      :: ((state_6==128 || state_6==139 || state_6==143 || state_6==137 || state_6==120 || state_6==136 || state_6==135 || state_6==144 || state_6==103 || state_6==112 || state_6==99 || state_6==111 || state_6==110 || state_6==115 || state_6==108 || state_6==124 || state_6==97)
         && (state_7==152 || state_7==147 || state_7==160 || state_7==159 || state_7==158 || state_7==149 || state_7==150 || state_7==151 || state_7==154 || state_7==155 || state_7==153)) -> 
           {state_5 = 88; p5_6 ! a4_SIGWINCH}
      :: ((state_6==100 || state_6==141 || state_6==137 || state_6==144 || state_6==139 || state_6==108 || state_6==120 || state_6==135 || state_6==111 || state_6==112 || state_6==128 || state_6==110 || state_6==117 || state_6==123 || state_6==124 || state_6==143 || state_6==115 || state_6==97 || state_6==103)
         && (state_8==209 || state_8==221 || state_8==238 || state_8==225 || state_8==188 || state_8==190 || state_8==189 || state_8==191)) -> 
           {state_5 = 90; p5_6 ! a9_SIGLOST}
      fi
    }
  :: state_5 == 88 ->
    atomic {
      if
      :: p5 ? a16_SIGKILL -> {state_5 = 93; act ! a16_SIGKILL}
      fi
    }
  :: state_5 == 90 ->
    atomic {
      if
      :: p5 ? a16_SIGKILL -> {state_5 = 95; act ! a16_SIGKILL}
      fi
    }
  :: state_5 == 93 ->
    atomic {
      if
      :: p2_5 ? a1_SIGTERM -> {state_5 = 92; p5_6 ! a1_SIGTERM}
      :: ((state_6==128 || state_6==139 || state_6==143 || state_6==137 || state_6==120 || state_6==136 || state_6==135 || state_6==144 || state_6==103 || state_6==112 || state_6==99 || state_6==111 || state_6==110 || state_6==115 || state_6==108 || state_6==124 || state_6==97)
         && (state_7==152 || state_7==147 || state_7==160 || state_7==159 || state_7==158 || state_7==149 || state_7==150 || state_7==151 || state_7==154 || state_7==155 || state_7==153)) -> 
           {state_5 = 89; p5_6 ! a4_SIGWINCH}
      :: ((state_6==100 || state_6==141 || state_6==137 || state_6==144 || state_6==139 || state_6==108 || state_6==120 || state_6==135 || state_6==111 || state_6==112 || state_6==128 || state_6==110 || state_6==117 || state_6==123 || state_6==124 || state_6==143 || state_6==115 || state_6==97 || state_6==103)
         && (state_8==209 || state_8==221 || state_8==238 || state_8==225 || state_8==188 || state_8==190 || state_8==189 || state_8==191)) -> 
           {state_5 = 89; p5_6 ! a9_SIGLOST}
      fi
    }
  :: state_5 == 95 ->
    atomic {
      if
      :: ((state_6==140 || state_6==132 || state_6==104 || state_6==137 || state_6==130 || state_6==107 || state_6==119 || state_6==99 || state_6==123 || state_6==114 || state_6==126 || state_6==109 || state_6==102 || state_6==101 || state_6==98 || state_6==117 || state_6==131 || state_6==127)
         && (state_8==244 || state_8==236 || state_8==230 || state_8==194 || state_8==242 || state_8==195 || state_8==199 || state_8==240 || state_8==205 || state_8==178 || state_8==207 || state_8==226 || state_8==223 || state_8==177 || state_8==246 || state_8==213 || state_8==229 || state_8==211 || state_8==197 || state_8==234 || state_8==201 || state_8==186 || state_8==206 || state_8==203)) -> 
           {state_5 = 92; p5_6 ! a6_SIGSYS}
      :: ((state_6==128 || state_6==139 || state_6==143 || state_6==137 || state_6==120 || state_6==136 || state_6==135 || state_6==144 || state_6==103 || state_6==112 || state_6==99 || state_6==111 || state_6==110 || state_6==115 || state_6==108 || state_6==124 || state_6==97)
         && (state_7==152 || state_7==147 || state_7==160 || state_7==159 || state_7==158 || state_7==149 || state_7==150 || state_7==151 || state_7==154 || state_7==155 || state_7==153)) -> 
           {state_5 = 89; p5_6 ! a4_SIGWINCH}
      :: ((state_6==100 || state_6==141 || state_6==137 || state_6==144 || state_6==139 || state_6==108 || state_6==120 || state_6==135 || state_6==111 || state_6==112 || state_6==128 || state_6==110 || state_6==117 || state_6==123 || state_6==124 || state_6==143 || state_6==115 || state_6==97 || state_6==103)
         && (state_8==209 || state_8==221 || state_8==238 || state_8==225 || state_8==188 || state_8==190 || state_8==189 || state_8==191)) -> 
           {state_5 = 89; p5_6 ! a9_SIGLOST}
      fi
    }
  :: state_5 == 92 ->
    atomic {
      if
      :: p5 ? a16_SIGKILL -> {state_5 = 91; act ! a16_SIGKILL}
      fi
    }
  :: state_5 == 89 ->
    atomic {
      if
      :: p5 ? a16_SIGKILL -> {state_5 = 94; act ! a16_SIGKILL}
      fi
    }
  od
}

/* Process 6 */
active proctype Proc6()
{
  do
  :: state_6 == 145 ->
    atomic {
      if
      :: p6 ? nop -> state_6 = 108
      fi
    }
  :: state_6 == 108 ->
    atomic {
      if
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 111; p6_7 ! a20_SIGTTOU}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 112; p6_7 ! a23_SIGTTIN}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 107; p6_8 ! a9_SIGLOST}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 105; p6_7 ! a4_SIGWINCH}
      fi
    }
  :: state_6 == 111 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 102; p6_8 ! a9_SIGLOST}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 133; p6_7 ! a4_SIGWINCH}
      :: p6 ? a17_SIGINFO -> {state_6 = 103; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 112 ->
    atomic {
      if
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 113; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 109; p6_8 ! a9_SIGLOST}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 98; p6_7 ! a1_SIGTERM}
      :: p6 ? a17_SIGINFO -> {state_6 = 97; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 107 ->
    atomic {
      if
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 101; p6_7 ! a8_SIGTTIN}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 102; p6_7 ! a20_SIGTTOU}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 106; p6_7 ! a1_SIGTERM}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 109; p6_7 ! a23_SIGTTIN}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 108; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 105 ->
    atomic {
      if
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 113; p6_7 ! a23_SIGTTIN}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 108; p6_7 ! a1_SIGTERM}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 133; p6_7 ! a20_SIGTTOU}
      fi
    }
  :: state_6 == 102 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 117; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 111; p6_8 ! a6_SIGSYS}
      :: p6 ? a17_SIGINFO -> {state_6 = 131; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 133 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 111; p6_7 ! a1_SIGTERM}
      :: p6 ? a17_SIGINFO -> {state_6 = 116; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 103 ->
    atomic {
      if
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 116; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 131; p6_8 ! a9_SIGLOST}
      :: p6 ? a10_SIGUSR2 -> {state_6 = 144; act ! a10_SIGUSR2}
      fi
    }
  :: state_6 == 113 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 112; p6_7 ! a1_SIGTERM}
      :: p6 ? a17_SIGINFO -> {state_6 = 134; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 109 ->
    atomic {
      if
      :: p5_6 ? a6_SIGSYS -> {state_6 = 112; p6_8 ! a6_SIGSYS}
      :: p6 ? a17_SIGINFO -> {state_6 = 119; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 98 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 98; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 98; p6_8 ! a6_SIGSYS}
      :: p6 ? a17_SIGINFO -> {state_6 = 100; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 97 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 143; act ! a10_SIGUSR2}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 119; p6_8 ! a9_SIGLOST}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 100; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 134; p6_7 ! a4_SIGWINCH}
      fi
    }
  :: state_6 == 101 ->
    atomic {
      if
      :: p5_6 ? a6_SIGSYS -> {state_6 = 110; p6_8 ! a6_SIGSYS}
      :: p6 ? a17_SIGINFO -> {state_6 = 114; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 106 ->
    atomic {
      if
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 98; p6_7 ! a23_SIGTTIN}
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 124; p6_7 ! a8_SIGTTIN}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 117; p6_7 ! a20_SIGTTOU}
      fi
    }
  :: state_6 == 117 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 117; p6_8 ! a9_SIGLOST}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 117; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 117; p6_8 ! a6_SIGSYS}
      :: p6 ? a17_SIGINFO -> {state_6 = 136; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 131 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 130; act ! a10_SIGUSR2}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 103; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 116 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 122; act ! a10_SIGUSR2}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 103; p6_7 ! a1_SIGTERM}
      fi
    }
  :: state_6 == 144 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 130; p6_8 ! a9_SIGLOST}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 110; p6_7 ! a23_SIGTTIN}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 122; p6_7 ! a4_SIGWINCH}
      :: ((state_7==152 || state_7==156 || state_7==147 || state_7==161 || state_7==160 || state_7==159 || state_7==165 || state_7==164 || state_7==162 || state_7==170 || state_7==150 || state_7==151 || state_7==173 || state_7==166 || state_7==155 || state_7==149 || state_7==148 || state_7==167)
         && (state_8==186 || state_8==236 || state_8==200 || state_8==192 || state_8==201 || state_8==227 || state_8==176 || state_8==211)) -> 
           {state_6 = 110; p6_7 ! a5_SIGPROF}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 110; p6_7 ! a20_SIGTTOU}
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 139; p6_7 ! a8_SIGTTIN}
      fi
    }
  :: state_6 == 134 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 97; p6_7 ! a1_SIGTERM}
      :: p6 ? a10_SIGUSR2 -> {state_6 = 125; act ! a10_SIGUSR2}
      fi
    }
  :: state_6 == 119 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 127; act ! a10_SIGUSR2}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 97; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 100 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 100; p6_8 ! a9_SIGLOST}
      :: p6 ? a10_SIGUSR2 -> {state_6 = 115; act ! a10_SIGUSR2}
      fi
    }
  :: state_6 == 143 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 115; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 125; p6_7 ! a4_SIGWINCH}
      :: ((state_7==152 || state_7==156 || state_7==147 || state_7==161 || state_7==160 || state_7==159 || state_7==165 || state_7==164 || state_7==162 || state_7==170 || state_7==150 || state_7==151 || state_7==173 || state_7==166 || state_7==155 || state_7==149 || state_7==148 || state_7==167)
         && (state_8==186 || state_8==236 || state_8==200 || state_8==192 || state_8==201 || state_8==227 || state_8==176 || state_8==211)) -> 
           {state_6 = 139; p6_7 ! a5_SIGPROF}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 127; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 110 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 124; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 129; p6_7 ! a4_SIGWINCH}
      :: p6 ? a17_SIGINFO -> {state_6 = 120; act ! a17_SIGINFO}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 101; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 114 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 132; act ! a10_SIGUSR2}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 120; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 124 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 124; p6_8 ! a9_SIGLOST}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 124; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 124; p6_7 ! a4_SIGWINCH}
      :: p6 ? a17_SIGINFO -> {state_6 = 99; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 136 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 123; act ! a10_SIGUSR2}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 136; p6_7 ! a4_SIGWINCH}
      fi
    }
  :: state_6 == 130 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 123; p6_7 ! a1_SIGTERM}
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 140; p6_7 ! a8_SIGTTIN}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 144; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 122 ->
    atomic {
      if
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 129; p6_7 ! a23_SIGTTIN}
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 142; p6_7 ! a8_SIGTTIN}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 144; p6_7 ! a1_SIGTERM}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 129; p6_7 ! a20_SIGTTOU}
      fi
    }
  :: state_6 == 139 ->
    atomic {
      if
      :: p6 ? a17_SIGINFO -> {state_6 = 135; act ! a17_SIGINFO}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 142; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 140; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 125 ->
    atomic {
      if
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 129; p6_7 ! a23_SIGTTIN}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 143; p6_7 ! a1_SIGTERM}
      :: ((state_7==152 || state_7==156 || state_7==147 || state_7==161 || state_7==160 || state_7==159 || state_7==165 || state_7==164 || state_7==162 || state_7==170 || state_7==150 || state_7==151 || state_7==173 || state_7==166 || state_7==155 || state_7==149 || state_7==148 || state_7==167)
         && (state_8==186 || state_8==236 || state_8==200 || state_8==192 || state_8==201 || state_8==227 || state_8==176 || state_8==211)) -> 
           {state_6 = 142; p6_7 ! a5_SIGPROF}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 129; p6_7 ! a20_SIGTTOU}
      fi
    }
  :: state_6 == 127 ->
    atomic {
      if
      :: ((state_7==152 || state_7==156 || state_7==147 || state_7==161 || state_7==160 || state_7==159 || state_7==165 || state_7==164 || state_7==162 || state_7==170 || state_7==150 || state_7==151 || state_7==173 || state_7==166 || state_7==155 || state_7==149 || state_7==148 || state_7==167)
         && (state_8==186 || state_8==236 || state_8==200 || state_8==192 || state_8==201 || state_8==227 || state_8==176 || state_8==211)) -> 
           {state_6 = 140; p6_7 ! a5_SIGPROF}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 143; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 115 ->
    atomic {
      if
      :: ((state_7==152 || state_7==156 || state_7==147 || state_7==161 || state_7==160 || state_7==159 || state_7==165 || state_7==164 || state_7==162 || state_7==170 || state_7==150 || state_7==151 || state_7==173 || state_7==166 || state_7==155 || state_7==149 || state_7==148 || state_7==167)
         && (state_8==186 || state_8==236 || state_8==200 || state_8==192 || state_8==201 || state_8==227 || state_8==176 || state_8==211)) -> 
           {state_6 = 141; p6_7 ! a5_SIGPROF}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 124; p6_7 ! a23_SIGTTIN}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 124; p6_7 ! a20_SIGTTOU}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 115; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 115; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 129 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 110; p6_7 ! a1_SIGTERM}
      :: p6 ? a17_SIGINFO -> {state_6 = 118; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 120 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 128; act ! a10_SIGUSR2}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 99; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 118; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 114; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 132 ->
    atomic {
      if
      :: p5_6 ? a6_SIGSYS -> {state_6 = 128; p6_8 ! a6_SIGSYS}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 101; p6_7 ! a23_SIGTTIN}
      :: ((state_7==152 || state_7==156 || state_7==147 || state_7==161 || state_7==160 || state_7==159 || state_7==165 || state_7==164 || state_7==162 || state_7==170 || state_7==150 || state_7==151 || state_7==173 || state_7==166 || state_7==155 || state_7==149 || state_7==148 || state_7==167)
         && (state_8==186 || state_8==236 || state_8==200 || state_8==192 || state_8==201 || state_8==227 || state_8==176 || state_8==211)) -> 
           {state_6 = 101; p6_7 ! a5_SIGPROF}
      fi
    }
  :: state_6 == 99 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 126; act ! a10_SIGUSR2}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 99; p6_8 ! a6_SIGSYS}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 99; p6_7 ! a4_SIGWINCH}
      fi
    }
  :: state_6 == 123 ->
    atomic {
      if
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 141; p6_7 ! a8_SIGTTIN}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 124; p6_7 ! a20_SIGTTOU}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 123; p6_8 ! a6_SIGSYS}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 123; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 140 ->
    atomic {
      if
      :: p5_6 ? a6_SIGSYS -> {state_6 = 139; p6_8 ! a6_SIGSYS}
      :: p6 ? a17_SIGINFO -> {state_6 = 104; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 142 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 139; p6_7 ! a1_SIGTERM}
      :: p6 ? a17_SIGINFO -> {state_6 = 138; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 135 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 108; act ! a10_SIGUSR2}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 137; p6_7 ! a1_SIGTERM}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 138; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 104; p6_8 ! a9_SIGLOST}
      fi
    }
  :: state_6 == 141 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 141; p6_8 ! a9_SIGLOST}
      :: p6 ? a17_SIGINFO -> {state_6 = 137; act ! a17_SIGINFO}
      fi
    }
  :: state_6 == 118 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 121; act ! a10_SIGUSR2}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 120; p6_7 ! a1_SIGTERM}
      fi
    }
  :: state_6 == 128 ->
    atomic {
      if
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 121; p6_7 ! a4_SIGWINCH}
      :: p5_6 ? a9_SIGLOST -> {state_6 = 132; p6_8 ! a9_SIGLOST}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 110; p6_7 ! a23_SIGTTIN}
      :: p5_6 ? a1_SIGTERM -> {state_6 = 126; p6_7 ! a1_SIGTERM}
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 110; p6_7 ! a20_SIGTTOU}
      fi
    }
  :: state_6 == 126 ->
    atomic {
      if
      :: p3_6 ? a20_SIGTTOU -> {state_6 = 124; p6_7 ! a20_SIGTTOU}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 126; p6_8 ! a6_SIGSYS}
      :: p3_6 ? a8_SIGTTIN -> {state_6 = 124; p6_7 ! a8_SIGTTIN}
      fi
    }
  :: state_6 == 104 ->
    atomic {
      if
      :: p6 ? a10_SIGUSR2 -> {state_6 = 107; act ! a10_SIGUSR2}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 135; p6_8 ! a6_SIGSYS}
      fi
    }
  :: state_6 == 138 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 135; p6_7 ! a1_SIGTERM}
      :: p6 ? a10_SIGUSR2 -> {state_6 = 105; act ! a10_SIGUSR2}
      fi
    }
  :: state_6 == 137 ->
    atomic {
      if
      :: p5_6 ? a9_SIGLOST -> {state_6 = 137; p6_8 ! a9_SIGLOST}
      :: p6 ? a10_SIGUSR2 -> {state_6 = 106; act ! a10_SIGUSR2}
      :: p5_6 ? a6_SIGSYS -> {state_6 = 137; p6_8 ! a6_SIGSYS}
      :: p5_6 ? a4_SIGWINCH -> {state_6 = 137; p6_7 ! a4_SIGWINCH}
      fi
    }
  :: state_6 == 121 ->
    atomic {
      if
      :: p5_6 ? a1_SIGTERM -> {state_6 = 128; p6_7 ! a1_SIGTERM}
      :: ((state_7==147 || state_7==161 || state_7==168 || state_7==162 || state_7==157 || state_7==149 || state_7==150 || state_7==151 || state_7==170 || state_7==148)
         && (state_8==210 || state_8==233 || state_8==212 || state_8==224 || state_8==190 || state_8==189 || state_8==188 || state_8==191)) -> 
           {state_6 = 129; p6_7 ! a23_SIGTTIN}
      fi
    }
  od
}

/* Process 7 */
active proctype Proc7()
{
  do
  :: state_7 == 174 ->
    atomic {
      if
      :: p7 ? nop -> state_7 = 151
      fi
    }
  :: state_7 == 151 ->
    atomic {
      if
      :: p6_7 ? a5_SIGPROF -> {state_7 = 154; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 148; act ! a4_SIGWINCH}
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 149; p7_8 ! a3_SIGTTIN}
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 155; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 153; act ! a20_SIGTTOU}
      fi
    }
  :: state_7 == 154 ->
    atomic {
      if
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 164; act ! a4_SIGWINCH}
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 159; p7_8 ! a3_SIGTTIN}
      fi
    }
  :: state_7 == 148 ->
    atomic {
      if
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 165; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 163; act ! a20_SIGTTOU}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 164; p7_8 ! a5_SIGPROF}
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 161; p7_8 ! a3_SIGTTIN}
      fi
    }
  :: state_7 == 149 ->
    atomic {
      if
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 161; act ! a4_SIGWINCH}
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 160; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 159; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 158; act ! a20_SIGTTOU}
      fi
    }
  :: state_7 == 155 ->
    atomic {
      if
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 154; act ! a8_SIGTTIN}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 151; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 165; act ! a4_SIGWINCH}
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 160; p7_8 ! a3_SIGTTIN}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 152; p7_8 ! a2_SIGSTOP}
      fi
    }
  :: state_7 == 153 ->
    atomic {
      if
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 151; act ! a8_SIGTTIN}
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 163; act ! a4_SIGWINCH}
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 158; p7_8 ! a3_SIGTTIN}
      fi
    }
  :: state_7 == 164 ->
    atomic {
      if
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 168; p7_8 ! a3_SIGTTIN}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 164; p7_8 ! a5_SIGPROF}
      fi
    }
  :: state_7 == 159 ->
    atomic {
      if
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 168; act ! a4_SIGWINCH}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 159; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 159; act ! a20_SIGTTOU}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 159; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 165 ->
    atomic {
      if
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 156; p7_8 ! a3_SIGTTIN}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 148; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 164; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 163 ->
    atomic {
      if
      :: p4_7 ? a3_SIGTTIN -> {state_7 = 169; p7_8 ! a3_SIGTTIN}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 148; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 161 ->
    atomic {
      if
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 156; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a1_SIGTERM -> {state_7 = 162; act ! a1_SIGTERM}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 157; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 168; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 169; act ! a20_SIGTTOU}
      fi
    }
  :: state_7 == 160 ->
    atomic {
      if
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 156; act ! a4_SIGWINCH}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 149; p7_8 ! a5_SIGPROF}
      fi
    }
  :: state_7 == 158 ->
    atomic {
      if
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 169; act ! a4_SIGWINCH}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 149; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 152 ->
    atomic {
      if
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 152; act ! a4_SIGWINCH}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 150; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 147; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 168 ->
    atomic {
      if
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 168; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a1_SIGTERM -> {state_7 = 167; act ! a1_SIGTERM}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 170; p7_8 ! a2_SIGSTOP}
      fi
    }
  :: state_7 == 156 ->
    atomic {
      if
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 173; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 161; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a1_SIGTERM -> {state_7 = 166; act ! a1_SIGTERM}
      fi
    }
  :: state_7 == 169 ->
    atomic {
      if
      :: p6_7 ? a1_SIGTERM -> {state_7 = 172; act ! a1_SIGTERM}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 171; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 161; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 162 ->
    atomic {
      if
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 166; p7_8 ! a23_SIGTTIN}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 151; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 167; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 172; act ! a20_SIGTTOU}
      fi
    }
  :: state_7 == 157 ->
    atomic {
      if
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 173; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a1_SIGTERM -> {state_7 = 151; act ! a1_SIGTERM}
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 171; act ! a20_SIGTTOU}
      fi
    }
  :: state_7 == 150 ->
    atomic {
      if
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 146; act ! a20_SIGTTOU}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 147; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 150; act ! a4_SIGWINCH}
      :: p6_7 ? a1_SIGTERM -> {state_7 = 150; act ! a1_SIGTERM}
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 152; p7_8 ! a23_SIGTTIN}
      fi
    }
  :: state_7 == 147 ->
    atomic {
      if
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 147; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a4_SIGWINCH -> {state_7 = 147; act ! a4_SIGWINCH}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 147; p7_8 ! a5_SIGPROF}
      fi
    }
  :: state_7 == 167 ->
    atomic {
      if
      :: p6_7 ? a20_SIGTTOU -> {state_7 = 167; act ! a20_SIGTTOU}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 154; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 167; p7_8 ! a5_SIGPROF}
      fi
    }
  :: state_7 == 170 ->
    atomic {
      if
      :: p6_7 ? a5_SIGPROF -> {state_7 = 170; p7_8 ! a5_SIGPROF}
      :: p6_7 ? a23_SIGTTIN -> {state_7 = 170; p7_8 ! a23_SIGTTIN}
      :: p6_7 ? a1_SIGTERM -> {state_7 = 154; act ! a1_SIGTERM}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 170; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 173 ->
    atomic {
      if
      :: p6_7 ? a1_SIGTERM -> {state_7 = 155; act ! a1_SIGTERM}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 157; p7_8 ! a5_SIGPROF}
      fi
    }
  :: state_7 == 166 ->
    atomic {
      if
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 155; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a5_SIGPROF -> {state_7 = 162; p7_8 ! a5_SIGPROF}
      fi
    }
  :: state_7 == 172 ->
    atomic {
      if
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 162; act ! a8_SIGTTIN}
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 153; p7_8 ! a2_SIGSTOP}
      fi
    }
  :: state_7 == 171 ->
    atomic {
      if
      :: p6_7 ? a1_SIGTERM -> {state_7 = 153; act ! a1_SIGTERM}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 157; act ! a8_SIGTTIN}
      fi
    }
  :: state_7 == 146 ->
    atomic {
      if
      :: p2_7 ? a2_SIGSTOP -> {state_7 = 146; p7_8 ! a2_SIGSTOP}
      :: p6_7 ? a8_SIGTTIN -> {state_7 = 150; act ! a8_SIGTTIN}
      fi
    }
  od
}

/* Process 8 */
active proctype Proc8()
{
  do
  :: state_8 == 247 ->
    atomic {
      if
      :: p8 ? nop -> state_8 = 190
      fi
    }
  :: state_8 == 190 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 175; act ! a9_SIGLOST}
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 181; act ! a23_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 188; act ! a21_SIGVTALRM}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 189; act ! a3_SIGTTIN}
      fi
    }
  :: state_8 == 175 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 193; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 185; act ! a21_SIGVTALRM}
      :: p8 ? a18_SIGCONT -> {state_8 = 216; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 181 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 184; act ! a21_SIGVTALRM}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 179; act ! a3_SIGTTIN}
      :: p8 ? a18_SIGCONT -> {state_8 = 215; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 188 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 185; act ! a9_SIGLOST}
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 184; act ! a23_SIGTTIN}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 190; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 189 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 190; act ! a2_SIGSTOP}
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 179; act ! a23_SIGTTIN}
      :: p6_8 ? a9_SIGLOST -> {state_8 = 193; act ! a9_SIGLOST}
      fi
    }
  :: state_8 == 193 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 175; act ! a2_SIGSTOP}
      :: p8 ? a18_SIGCONT -> {state_8 = 208; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 185 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 220; act ! a21_SIGVTALRM}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 175; act ! a7_SIGTTIN}
      :: p8 ? a18_SIGCONT -> {state_8 = 218; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 216 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 208; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 218; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 210; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 184 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 181; act ! a7_SIGTTIN}
      :: p8 ? a18_SIGCONT -> {state_8 = 217; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 179 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 181; act ! a2_SIGSTOP}
      :: p8 ? a18_SIGCONT -> {state_8 = 180; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 215 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 180; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 217; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 209; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 208 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 216; act ! a2_SIGSTOP}
      :: p8 ? a19_SIGTTIN -> {state_8 = 233; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 220 ->
    atomic {
      if
      :: p8 ? a18_SIGCONT -> {state_8 = 231; act ! a18_SIGCONT}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 220; act ! a3_SIGTTIN}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 220; act ! a2_SIGSTOP}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 220; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 218 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 216; act ! a7_SIGTTIN}
      :: p8 ? a19_SIGTTIN -> {state_8 = 212; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 210 ->
    atomic {
      if
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 178; act ! a23_SIGTTIN}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 233; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 212; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 217 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 215; act ! a7_SIGTTIN}
      :: p8 ? a19_SIGTTIN -> {state_8 = 238; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 180 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 215; act ! a2_SIGSTOP}
      :: p8 ? a19_SIGTTIN -> {state_8 = 221; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 209 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 178; act ! a9_SIGLOST}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 221; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 238; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 233 ->
    atomic {
      if
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 207; act ! a23_SIGTTIN}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 210; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 231 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 231; act ! a2_SIGSTOP}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 231; act ! a7_SIGTTIN}
      :: p8 ? a19_SIGTTIN -> {state_8 = 224; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 212 ->
    atomic {
      if
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 226; act ! a23_SIGTTIN}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 210; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 178 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 226; act ! a21_SIGVTALRM}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 207; act ! a3_SIGTTIN}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 214; act ! a6_SIGSYS}
      :: p8 ? a18_SIGCONT -> {state_8 = 223; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 238 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 226; act ! a9_SIGLOST}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 209; act ! a7_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 225; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 221 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 207; act ! a9_SIGLOST}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 209; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 207 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 178; act ! a2_SIGSTOP}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 222; act ! a6_SIGSYS}
      :: p8 ? a18_SIGCONT -> {state_8 = 229; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 224 ->
    atomic {
      if
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 213; act ! a23_SIGTTIN}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 224; act ! a3_SIGTTIN}
      fi
    }
  :: state_8 == 226 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 187; act ! a6_SIGSYS}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 178; act ! a7_SIGTTIN}
      :: p8 ? a18_SIGCONT -> {state_8 = 205; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 214 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 222; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 187; act ! a21_SIGVTALRM}
      :: p8 ? a18_SIGCONT -> {state_8 = 182; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 223 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 205; act ! a21_SIGVTALRM}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 182; act ! a6_SIGSYS}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 229; act ! a3_SIGTTIN}
      :: p8 ? a19_SIGTTIN -> {state_8 = 211; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 225 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 213; act ! a9_SIGLOST}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 225; act ! a3_SIGTTIN}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 225; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 222 ->
    atomic {
      if
      :: p8 ? a18_SIGCONT -> {state_8 = 235; act ! a18_SIGCONT}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 214; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 229 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 223; act ! a2_SIGSTOP}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 235; act ! a6_SIGSYS}
      :: p8 ? a19_SIGTTIN -> {state_8 = 236; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 213 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 213; act ! a2_SIGSTOP}
      :: p8 ? a18_SIGCONT -> {state_8 = 177; act ! a18_SIGCONT}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 228; act ! a6_SIGSYS}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 213; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 187 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 214; act ! a7_SIGTTIN}
      :: p8 ? a18_SIGCONT -> {state_8 = 183; act ! a18_SIGCONT}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 228; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 205 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 183; act ! a6_SIGSYS}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 177; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 186; act ! a19_SIGTTIN}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 223; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 182 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 235; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 183; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 192; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 211 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 236; act ! a3_SIGTTIN}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 192; act ! a6_SIGSYS}
      :: p7_8 ? a5_SIGPROF -> {state_8 = 234; act ! a5_SIGPROF}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 186; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 235 ->
    atomic {
      if
      :: p8 ? a19_SIGTTIN -> {state_8 = 227; act ! a19_SIGTTIN}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 182; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 236 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 227; act ! a6_SIGSYS}
      :: p7_8 ? a5_SIGPROF -> {state_8 = 244; act ! a5_SIGPROF}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 211; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 177 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 177; act ! a2_SIGSTOP}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 202; act ! a6_SIGSYS}
      :: p8 ? a19_SIGTTIN -> {state_8 = 201; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 228 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 228; act ! a21_SIGVTALRM}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 228; act ! a3_SIGTTIN}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 228; act ! a2_SIGSTOP}
      :: p8 ? a18_SIGCONT -> {state_8 = 202; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 183 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 182; act ! a7_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 202; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 200; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 186 ->
    atomic {
      if
      :: p7_8 ? a5_SIGPROF -> {state_8 = 199; act ! a5_SIGPROF}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 200; act ! a6_SIGSYS}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 211; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 192 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 227; act ! a3_SIGTTIN}
      :: p7_8 ? a5_SIGPROF -> {state_8 = 198; act ! a5_SIGPROF}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 200; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 234 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 199; act ! a21_SIGVTALRM}
      :: p8 ? a18_SIGCONT -> {state_8 = 197; act ! a18_SIGCONT}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 244; act ! a3_SIGTTIN}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 198; act ! a6_SIGSYS}
      fi
    }
  :: state_8 == 227 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 192; act ! a2_SIGSTOP}
      :: p7_8 ? a5_SIGPROF -> {state_8 = 196; act ! a5_SIGPROF}
      fi
    }
  :: state_8 == 244 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 196; act ! a6_SIGSYS}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 234; act ! a2_SIGSTOP}
      :: p8 ? a18_SIGCONT -> {state_8 = 195; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 202 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 202; act ! a7_SIGTTIN}
      :: p8 ? a19_SIGTTIN -> {state_8 = 176; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 201 ->
    atomic {
      if
      :: p7_8 ? a5_SIGPROF -> {state_8 = 206; act ! a5_SIGPROF}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 201; act ! a2_SIGSTOP}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 201; act ! a21_SIGVTALRM}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 176; act ! a6_SIGSYS}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 201; act ! a3_SIGTTIN}
      fi
    }
  :: state_8 == 200 ->
    atomic {
      if
      :: p7_8 ? a5_SIGPROF -> {state_8 = 245; act ! a5_SIGPROF}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 192; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 199 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 234; act ! a7_SIGTTIN}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 245; act ! a6_SIGSYS}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 206; act ! a21_SIGVTALRM}
      :: p8 ? a18_SIGCONT -> {state_8 = 246; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 198 ->
    atomic {
      if
      :: p8 ? a18_SIGCONT -> {state_8 = 243; act ! a18_SIGCONT}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 196; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 245; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 197 ->
    atomic {
      if
      :: p8 ? a19_SIGTTIN -> {state_8 = 230; act ! a19_SIGTTIN}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 195; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 246; act ! a21_SIGVTALRM}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 243; act ! a6_SIGSYS}
      fi
    }
  :: state_8 == 196 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 198; act ! a2_SIGSTOP}
      :: p8 ? a18_SIGCONT -> {state_8 = 241; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 195 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 241; act ! a6_SIGSYS}
      :: p8 ? a19_SIGTTIN -> {state_8 = 242; act ! a19_SIGTTIN}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 197; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 176 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 176; act ! a3_SIGTTIN}
      :: p7_8 ? a5_SIGPROF -> {state_8 = 239; act ! a5_SIGPROF}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 176; act ! a2_SIGSTOP}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 176; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 206 ->
    atomic {
      if
      :: p8 ? a18_SIGCONT -> {state_8 = 240; act ! a18_SIGCONT}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 206; act ! a7_SIGTTIN}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 239; act ! a6_SIGSYS}
      fi
    }
  :: state_8 == 245 ->
    atomic {
      if
      :: p8 ? a18_SIGCONT -> {state_8 = 237; act ! a18_SIGCONT}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 198; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 246 ->
    atomic {
      if
      :: p8 ? a19_SIGTTIN -> {state_8 = 194; act ! a19_SIGTTIN}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 197; act ! a7_SIGTTIN}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 237; act ! a6_SIGSYS}
      fi
    }
  :: state_8 == 243 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 237; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 190; act ! a19_SIGTTIN}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 241; act ! a3_SIGTTIN}
      fi
    }
  :: state_8 == 230 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 190; act ! a6_SIGSYS}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 242; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 194; act ! a21_SIGVTALRM}
      fi
    }
  :: state_8 == 241 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 243; act ! a2_SIGSTOP}
      :: p8 ? a19_SIGTTIN -> {state_8 = 189; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 242 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 189; act ! a6_SIGSYS}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 230; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 239 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 239; act ! a21_SIGVTALRM}
      :: p8 ? a18_SIGCONT -> {state_8 = 204; act ! a18_SIGCONT}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 239; act ! a2_SIGSTOP}
      fi
    }
  :: state_8 == 240 ->
    atomic {
      if
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 240; act ! a21_SIGVTALRM}
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 240; act ! a2_SIGSTOP}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 204; act ! a6_SIGSYS}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 240; act ! a3_SIGTTIN}
      :: p8 ? a19_SIGTTIN -> {state_8 = 203; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 237 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 243; act ! a7_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 204; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 188; act ! a19_SIGTTIN}
      fi
    }
  :: state_8 == 194 ->
    atomic {
      if
      :: p6_8 ? a6_SIGSYS -> {state_8 = 188; act ! a6_SIGSYS}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 230; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 204 ->
    atomic {
      if
      :: p8 ? a19_SIGTTIN -> {state_8 = 191; act ! a19_SIGTTIN}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 204; act ! a7_SIGTTIN}
      fi
    }
  :: state_8 == 203 ->
    atomic {
      if
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 203; act ! a7_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 203; act ! a21_SIGVTALRM}
      :: p6_8 ? a6_SIGSYS -> {state_8 = 191; act ! a6_SIGSYS}
      fi
    }
  :: state_8 == 191 ->
    atomic {
      if
      :: p6_8 ? a9_SIGLOST -> {state_8 = 220; act ! a9_SIGLOST}
      :: p7_8 ? a23_SIGTTIN -> {state_8 = 219; act ! a23_SIGTTIN}
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 191; act ! a3_SIGTTIN}
      fi
    }
  :: state_8 == 219 ->
    atomic {
      if
      :: p7_8 ? a2_SIGSTOP -> {state_8 = 219; act ! a2_SIGSTOP}
      :: p4_8 ? a7_SIGTTIN -> {state_8 = 219; act ! a7_SIGTTIN}
      :: p8 ? a18_SIGCONT -> {state_8 = 232; act ! a18_SIGCONT}
      fi
    }
  :: state_8 == 232 ->
    atomic {
      if
      :: p7_8 ? a3_SIGTTIN -> {state_8 = 232; act ! a3_SIGTTIN}
      :: p4_8 ? a21_SIGVTALRM -> {state_8 = 232; act ! a21_SIGVTALRM}
      :: p8 ? a19_SIGTTIN -> {state_8 = 225; act ! a19_SIGTTIN}
      fi
    }
  od
}

#define p_a19_SIGTTIN	 (lastAction == a19_SIGTTIN)
#define p_a5_SIGPROF	 (lastAction == a5_SIGPROF)
#define p_a17_SIGINFO	 (lastAction == a17_SIGINFO)
#define p_a23_SIGTTIN	 (lastAction == a23_SIGTTIN)
#define p_a16_SIGKILL	 (lastAction == a16_SIGKILL)
#define p_a6_SIGSYS	 (lastAction == a6_SIGSYS)
#define p_a18_SIGCONT	 (lastAction == a18_SIGCONT)
#define p_a4_SIGWINCH	 (lastAction == a4_SIGWINCH)
#define p_a15_SIGIOT	 (lastAction == a15_SIGIOT)
#define p_a9_SIGLOST	 (lastAction == a9_SIGLOST)
#define p_a8_SIGTTIN	 (lastAction == a8_SIGTTIN)
#define p_a12_SIGURG	 (lastAction == a12_SIGURG)
#define p_a11_SIGSTOP	 (lastAction == a11_SIGSTOP)
#define p_a7_SIGTTIN	 (lastAction == a7_SIGTTIN)
#define p_a13_SIGFPE	 (lastAction == a13_SIGFPE)
#define p_a2_SIGSTOP	 (lastAction == a2_SIGSTOP)
#define p_a14_SIGTTIN	 (lastAction == a14_SIGTTIN)
#define p_a20_SIGTTOU	 (lastAction == a20_SIGTTOU)
#define p_a10_SIGUSR2	 (lastAction == a10_SIGUSR2)
#define p_a24_SIGTTOU	 (lastAction == a24_SIGTTOU)
#define p_a1_SIGTERM	 (lastAction == a1_SIGTERM)
#define p_a3_SIGTTIN	 (lastAction == a3_SIGTTIN)
#define p_a22_SIGHUP	 (lastAction == a22_SIGHUP)
#define p_a21_SIGVTALRM	 (lastAction == a21_SIGVTALRM)


ltl p1	 { [](!p_a21_SIGVTALRM || X<>p_a21_SIGVTALRM) }
ltl p2	 { [](!p_a20_SIGTTOU || X(p_a20_SIGTTOU V (p_a8_SIGTTIN || p_a20_SIGTTOU))) }
ltl p3	 { [](<>p_a5_SIGPROF || !(p_a3_SIGTTIN && (!p_a23_SIGTTIN U p_a4_SIGWINCH) && <>p_a9_SIGLOST && X(p_a5_SIGPROF V (p_a5_SIGPROF || !(p_a1_SIGTERM || p_a2_SIGSTOP))))) }
ltl p4	 { [](!p_a9_SIGLOST || <>p_a5_SIGPROF) }
ltl p5	 { [](!p_a3_SIGTTIN || X<>(p_a3_SIGTTIN || p_a8_SIGTTIN)) }
ltl p6	 { []<>p_a20_SIGTTOU }
ltl p7	 { []((p_a21_SIGVTALRM V (p_a2_SIGSTOP || p_a21_SIGVTALRM)) || !(p_a3_SIGTTIN && (!p_a2_SIGSTOP U p_a23_SIGTTIN) && (p_a23_SIGTTIN V (!p_a21_SIGVTALRM || p_a23_SIGTTIN)))) }
ltl p8	 { <>p_a2_SIGSTOP }
ltl p9	 { [](<>(p_a1_SIGTERM || p_a2_SIGSTOP) || !(p_a4_SIGWINCH && (!p_a1_SIGTERM U p_a3_SIGTTIN))) }
ltl p10	 { [](<>p_a1_SIGTERM || !(p_a23_SIGTTIN && (!p_a4_SIGWINCH U p_a21_SIGVTALRM) && <>p_a4_SIGWINCH && X(p_a1_SIGTERM V (p_a1_SIGTERM || !(p_a5_SIGPROF || p_a7_SIGTTIN))))) }
ltl p11	 { [](!p_a20_SIGTTOU || (p_a8_SIGTTIN V (p_a8_SIGTTIN || !p_a23_SIGTTIN))) }
ltl p12	 { [](!(p_a7_SIGTTIN && p_a23_SIGTTIN) || X<>p_a23_SIGTTIN) }
ltl p13	 { [](<>p_a1_SIGTERM || !(p_a23_SIGTTIN && <>p_a9_SIGLOST && (p_a21_SIGVTALRM V (!p_a4_SIGWINCH || p_a21_SIGVTALRM)) && (p_a6_SIGSYS V (p_a6_SIGSYS || !(p_a5_SIGPROF || p_a7_SIGTTIN))))) }
ltl p14	 { [](!p_a20_SIGTTOU || X(p_a8_SIGTTIN U p_a23_SIGTTIN)) }
ltl p15	 { [](!p_a23_SIGTTIN || <>p_a5_SIGPROF || !<>p_a20_SIGTTOU) }
ltl p16	 { [](!p_a20_SIGTTOU || (!p_a23_SIGTTIN U p_a8_SIGTTIN)) }
ltl p17	 { [](!p_a23_SIGTTIN || (p_a20_SIGTTOU V (p_a5_SIGPROF || p_a20_SIGTTOU))) }
ltl p18	 { [](!p_a4_SIGWINCH || <>p_a20_SIGTTOU) }
ltl p19	 { <>p_a2_SIGSTOP }
ltl p20	 { [](<>p_a4_SIGWINCH || !(!p_a4_SIGWINCH || (p_a1_SIGTERM V (p_a1_SIGTERM || !p_a3_SIGTTIN)))) }
